import type { BootstrappedRecoilAtom } from './util';
/**
 * Creates a hook for accessing a bootstrapped atom's value safely.
 *
 * @param bootstrappedAtom - The bootstrapped atom to create the accessor hook for
 * @returns The hook that accesses the value.
 */
export declare function bootstrappedAtomValueHook<AtomValue, BootstrapData>(bootstrappedAtom: BootstrappedRecoilAtom<AtomValue, BootstrapData>): () => AtomValue;
