"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.BootstrapRootsInScopeContext = exports.rootAtomSymbol = void 0;
const react_1 = require("react");
// This symbol is added to bootstrapped atoms as a hidden top level property
// (see BootstrappedRecoilAtom below). We use this property in value hooks to
// ensure that the BootstrappedRecoilAtom instance is only accessed inside of
// it's corresponding bootstrap root, as signified by this root atom.
exports.rootAtomSymbol = Symbol('rootAtom');
// This context maintains the bootstrap roots in scope for a given component
// tree, and is what value hooks use to determine if rootAtomSymbol on an atom
// can be accessed correctly.
exports.BootstrapRootsInScopeContext = (0, react_1.createContext)([]);
//# sourceMappingURL=util.js.map